# $Revision: 1.10 $, $Date: 2005/08/13 20:44:31 $
%define		zope_subname	FSDump
Summary:	Exports through-the-web objects (folders, DTML, etc.) as "natural" filesystem equivalents
Summary(pl):	Pakiet umoliwiajcy "zrzut" obiektw z Zope
Name:		Zope-%{zope_subname}
Version:	0.9.2
Release:	1
License:	ZPL 2.0
Group:		Development/Tools
Source0:	http://zope.org/Members/tseaver/%{zope_subname}/%{zope_subname}-%{version}/%{zope_subname}-%{version}.tar.gz
# Source0-md5:	c8bb0b5fa3e04bfe1dfa811271e37871
URL:		http://zope.org/Members/tseaver/FSDump/
Requires(post,postun):	/usr/sbin/installzopeproduct
BuildRequires:	python
%pyrequires_eq	python-modules
Requires:	Zope
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FSDump exports through-the-web objects (folders, DTML, etc.) 
as "natural" filesystem equivalents.

%description -l pl
FSDump umoliwia "zrzut" obiektw z Zope.

%prep
%setup -q -n %{zope_subname}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}

cp -af FSDump/{help,interfaces,www,*.py,version.txt} \
	$RPM_BUILD_ROOT%{_datadir}/%{name}

%py_comp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/%{name}

# find $RPM_BUILD_ROOT -type f -name "*.py" -exec rm -rf {} \;;

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/installzopeproduct %{_datadir}/%{name} %{zope_subname}
if [ -f /var/lock/subsys/zope ]; then
	/etc/rc.d/init.d/zope restart >&2
fi

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/installzopeproduct -d %{zope_subname}
	if [ -f /var/lock/subsys/zope ]; then
		/etc/rc.d/init.d/zope restart >&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc FSDump/{CHANGES.txt,INSTALL.txt,README.txt,TODO.txt}
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Zope-FSDump.spec,v $
Revision 1.10  2005/08/13 20:44:31  ciesiel
- upgrade to version 0.9.2

Revision 1.9  2005/04/30 19:12:58  ciesiel
- upgrade to version 0.9

Revision 1.8  2005/01/13 06:39:55  ankry
- spaces -> tabs

Revision 1.7  2005/01/12 21:11:06  ciesiel
- added BR: python

Revision 1.6  2004/12/25 18:26:20  saq
- release 2 for rebuild with python 2.4

Revision 1.5  2004/12/11 22:14:05  ciesiel
- upgrade to version 0.8.1

Revision 1.4  2004/10/15 21:16:29  ciesiel
- upgraded to version 0.8

Revision 1.3  2004/07/28 08:03:21  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.2  2004/05/18 22:25:30  qboosh
- pl fixes

Revision 1.1  2004/05/18 17:18:06  ciesiel
- initial release
